Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.query.plan.logical
Class DateValue

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Value
                  com.dbxml.db.core.query.plan.logical.DateValue

public final class DateValue
extends Value

DateValue

Constructor Summary
`DateValue(java.util.Date value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Date` | `getValue()`

Methods inherited from class com.dbxml.db.core.query.plan.logical.Value
`newBooleanValue, newDateValue, newFloatValue, newFloatValue, newIntValue, newIntValue, newIntValue, newIntValue, newIntValue, newStringValue, newStringValue, newValueSet, newValueSet`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateValue

    public DateValue(java.util.Date value)

Method Detail

### getValue

    public java.util.Date getValue()

### equals

    public boolean equals(java.lang.Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group